EXP(3)

NAME
exp, expf, expl - base-e exponential function

SYNOPSIS
#include <math.h>

double exp(double x);
float expf(float x);
long double expl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

expf(), expl(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
The exp() function returns the value of e (the base of natural logarithms) raised to the power of x.

RETURN VALUE
On success, these functions return the exponential value of x. If x is a NaN, a NaN is returned. If x is positive infinity, positive infinity is returned. If x is negative infinity, +0 is returned. If the result underflows, a range error occurs, and zero is returned. If the result overflows, a range error occurs, and the functions return +HUGE_VAL, +HUGE_VALF, or +HUGE_VALL, respectively.

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions. The following errors can occur:

Range error, overflow
    errno is set to ERANGE. An overflow floating-point exception (FE_OVERFLOW) is raised.

Range error, underflow
    errno is set to ERANGE. An underflow floating-point exception (FE_UNDERFLOW) is raised.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
cbrt(3), cexp(3), exp10(3), exp2(3), sqrt(3)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.